////////////////////////////////////////////////////////////////////////////////
//
// Initialize
//
////////////////////////////////////////////////////////////////////////////////
window.onerror=handleErr;

var propRotInt
var propRotIntDefault = 60000; // default value in milliseconds image rotation interval
var propGadgetSize
var rotateCount = 0;
var refreshCount = 0;
var refreshTime = 300000;  // milliseconds between image gets
var MyGUID = "null";
var LoadPageTimeOutId =0;  // Rotator Time out identifier
var propGraphA
var propGraphB

System.Gadget.settingsUI = "Settings.html";
System.Gadget.onSettingsClosed = settingsClosed;
System.Gadget.onShowSettings = settingsOpen;
System.Gadget.onDock = initGadgetSize;
System.Gadget.onUndock = initGadgetSize;
// System.Gadget.visibilityChanged = gadgetVisibilityChange

////////////////////////////////////////
//
// Setup gadget state
//
////////////////////////////////////////
function init() 
{
    loadSettings();
}

////////////////////////////////////////
//
// Load persistent settings for the gadget
//
////////////////////////////////////////
function loadSettings() 
{
	propGadgetSize = System.Gadget.Settings.read("gadgetSize");
	if (propGadgetSize == "")
    {
	    propGadgetSize = "large";
	    System.Gadget.Settings.writeString("gadgetSize", propGadgetSize);
	}
	
	propRotInt = System.Gadget.Settings.read("RotationInterval");
    
    if (propRotInt == "")	// When gadget first started, string value can be null.
    {
    	propRotInt = propRotIntDefault;
    	System.Gadget.Settings.write("RotationInterval", propRotInt);
	}	
	
	propGraphA = System.Gadget.Settings.readString("GraphA");
	propGraphB = System.Gadget.Settings.read("GraphB");
	
	initGadgetSize();
		
}   

////////////////////////////////////////
//
// Set state for the opening the settings window
//
////////////////////////////////////////
function settingsOpen(evt)
{
    //
}

////////////////////////////////////////
//
// Set state after the settings window is closed
//
////////////////////////////////////////
function settingsClosed(evt) 
{
    if (evt.closeAction == evt.Action.commit)
    {
	    rotateCount = 0;	// reset counter
		refreshCount = 0;	// reset counter
        init();
	}   
}

////////////////////////////////////////
//
// Transition gadget to docked state (Gadget Smaller size)
// min 60px high and 25px to 130px wide.
//
////////////////////////////////////////
function gadgetDocking()
{
    initGadgetSize();
}

////////////////////////////////////////
//
// Transition gadget to undocked state (Gadget Larger size)
//
////////////////////////////////////////
function gadgetUnDocking()
{
    initGadgetSize();
}

////////////////////////////////////////
//
// Change the size of the gadget to be consistent with settings
//
////////////////////////////////////////
function initGadgetSize()
{
	System.Gadget.beginTransition();
	
    if (System.Gadget.docked)
    {
        document.body.style.width = 156;
	}               
    else
    {
	    // undocked
        document.body.style.width = 180;
	}    

	switch (propGadgetSize)
    {
        case "large":
            document.body.style.height = "210px";
            break;
        
        default:
            document.body.style.height = "155px";
            break;
    }
	
    clearTimeout ( LoadPageTimeOutId );		// stop the image rotator
    LoadWebPage();
}

////////////////////////////////////////
//
// Load Webpage
//
////////////////////////////////////////
function LoadWebPage()
{	
	refreshImg();
	
    // Reload the page every x seconds
    LoadPageTimeOutId = setTimeout ("LoadWebPage()", propRotInt);
}

////////////////////////////////////////
//
// Refresh Image
//
////////////////////////////////////////
function refreshImg()
{
    rotateCount = (rotateCount + 1);	// required for image rotator.
    refreshCount = (refreshCount + 1);
    
    if (refreshCount == 1)
    {
    	MyGUID = timeStamp();
	}
    else
    {
    	if (refreshCount == (refreshTime / propRotInt)) // determines how often image is pulled from server
    	{
    		refreshCount = 0;
		}
	}    
    
        
    if (rotateCount == 1)
    	{
		// GraphA
	    if (propGraphA == "")	// When gadget first started, string value can be null!
		    {
    		pic.src = "images/Nograph.png";
    		rotateCount = 0;
			}
		else
			{
			pic.src = (propGraphA + MyGUID);
			}
		
		}
	else
		{
			rotateCount = 0;
			// GraphB
			pic.src = (propGraphB + MyGUID);
		}

}

////////////////////////////////////////
//
// Create GUID
//
////////////////////////////////////////
function CreateGUID()
{
    {
        var x = new ActiveXObject("Scriptlet.TypeLib");
    	return (x.GUID).substring(0, 38);
    }
}

////////////////////////////////////////////////////////////////////////////////
//
// Generate timeStamp - minutes since 1970/01/01
//
////////////////////////////////////////////////////////////////////////////////
function timeStamp()
{
	var d = new Date();
	var timeStamp = Math.round(d.getTime()/60000);
	return timeStamp;
}

////////////////////////////////////////////////////////////////////////////////
//
// Debug: Write error messages to debug logging
//
////////////////////////////////////////////////////////////////////////////////
function handleErr(msg,url,l)
{
    System.Debug.outputString("Problem: " + msg + "\nLine: " + l);
    return true;
}

////////////////////////////////////////////////////////////////////////////////
//
// Debug: Send alerts to Debugger
//
////////////////////////////////////////////////////////////////////////////////
function alert(msg)
{
    System.Debug.outputString(msg);
    return true;
}
