////////////////////////////////////////////////////////////////////////////////
//
// Initialize
//
////////////////////////////////////////////////////////////////////////////////
window.onerror=handleErr;
System.Gadget.onSettingsClosing = SettingsClosing;

// Global Vars
var propGraphA
var propGraphB


////////////////////////////////////////////////////////////////////////////////
//
// Setup the gadget
//
////////////////////////////////////////////////////////////////////////////////
function init() 
{
    loadStrings();

    var propGadgetSize = System.Gadget.Settings.readString("gadgetSize");

    if (propGadgetSize != "large")
    {
        selectGadgetSize.value = "normal";
    }
    else
    {
        selectGadgetSize.value = "large";
    }
    
    var propStateA = System.Gadget.Settings.readString("StateA");
    selectStateA.value = propStateA
    
    propGraphA = System.Gadget.Settings.readString("GraphA");
    selectGraphA.value = propGraphA

    var propStateB = System.Gadget.Settings.readString("StateB");
    selectStateB.value = propStateB
        
	propGraphB = System.Gadget.Settings.readString("GraphB");
    selectGraphB.value = propGraphB

    var propRotInt = System.Gadget.Settings.read("RotationInterval");
    selectRotationInterval.value = propRotInt

    // build graph combos on saved state setting
	Build_Graph_Combos(selectStateA.value,"A");
    Build_Graph_Combos(selectStateB.value,"B");
    
}

////////////////////////////////////////////////////////////////////////////////
//
// Load the UI strings from localized resources
//
////////////////////////////////////////////////////////////////////////////////
function loadStrings()
{

{
	///////////////////////////////////////////////////
	// Combo Gadget Size
	///////////////////////////////////////////////////
	
	labelGadgetSize.innerText = L_SettingsGadgetSize_ComboBox;
	
    // Add options for gadget size
    var sizeNormal = document.createElement("OPTION");
    selectGadgetSize.options.add(sizeNormal);    
    sizeNormal.innerText = L_SettingsGadgetSizeNormal_Text;
    sizeNormal.value = "normal";    

        
    var sizeLarge = document.createElement("OPTION");
    selectGadgetSize.options.add(sizeLarge);
    sizeLarge.innerText = L_SettingsGadgetSizeLarge_Text;
    sizeLarge.value = "large";
   
}

{
	///////////////////////////////////////////////////
	// Combo State Selection
	///////////////////////////////////////////////////	
	
	// Graph A State selection
	labelStatesA.innerText = L_SettingsStatesA_ComboBox;
	
	// Add options for State selection
	var State = document.createElement("OPTION");
    selectStateA.options.add(State);
    State.innerText = "QLD";
    State.value = "QLD";
    
    var State = document.createElement("OPTION");
    selectStateA.options.add(State);
    State.innerText = "NSW";
    State.value = "NSW";
    
    var State = document.createElement("OPTION");
    selectStateA.options.add(State);
    State.innerText = "VIC";
    State.value = "VIC";
    
    var State = document.createElement("OPTION");
    selectStateA.options.add(State);
    State.innerText = "SA";
    State.value = "SA";
    
    var State = document.createElement("OPTION");
    selectStateA.options.add(State);
    State.innerText = "WA";
    State.value = "WA";
	
	// Graph B State selection
	labelStatesB.innerText = L_SettingsStatesB_ComboBox;
	
	// Add options for State selection
	var State = document.createElement("OPTION");
    selectStateB.options.add(State);
    State.innerText = "QLD";
    State.value = "QLD";
    
    var State = document.createElement("OPTION");
    selectStateB.options.add(State);
    State.innerText = "NSW";
    State.value = "NSW";
    
    var State = document.createElement("OPTION");
    selectStateB.options.add(State);
    State.innerText = "VIC";
    State.value = "VIC";
    
    var State = document.createElement("OPTION");
    selectStateB.options.add(State);
    State.innerText = "SA";
    State.value = "SA";
    
    var State = document.createElement("OPTION");
    selectStateB.options.add(State);
    State.innerText = "WA";
    State.value = "WA";
	
}
	
	    
{   
    ////////////////////////////////////////////////////
    // Choose Rotation Interval between Graphs
    // values in seconds
    ////////////////////////////////////////////////////
	
	labelRotationInterval.innerText = L_SettingsRotationInterval_ComboBox;

    var Interval1 = document.createElement("OPTION");
    selectRotationInterval.options.add(Interval1);
    Interval1.innerText = L_Settings5sec;
    Interval1.value = "5000";    
    
    var Interval2 = document.createElement("OPTION");
    selectRotationInterval.options.add(Interval2);
    Interval2.innerText = L_Settings30sec;
    Interval2.value = "30000";    
    
    var Interval3 = document.createElement("OPTION");
    selectRotationInterval.options.add(Interval3);
    Interval3.innerText = L_Settings60sec;
    Interval3.value = "60000";    
    
    var Interval4 = document.createElement("OPTION");
    selectRotationInterval.options.add(Interval4);
    Interval4.innerText = L_Settings120sec;
    Interval4.value = "120000";    
}    

}   

///////////////////////////////////////////////////////////////////////////////
//  Get State A value 
///////////////////////////////////////////////////////////////////////////////
function selectStateA_selection_changed(selectStateA)
{
	// 1. get the selected value from selectState:
	var selectStateA_value = selectStateA.value;
	
	Build_Graph_Combos(selectStateA.value,"A");
	
}

///////////////////////////////////////////////////////////////////////////////
//  Get State B value 
///////////////////////////////////////////////////////////////////////////////
function selectStateB_selection_changed(selectStateB)
{
	// 1. get the selected value from selectState:
	var selectStateB_value = selectStateB.value;
	
	Build_Graph_Combos(selectStateB.value,"B");
	
}

///////////////////////////////////////////////////////////////////////////////	
// Build Graph Combo boxes
///////////////////////////////////////////////////////////////////////////////
function Build_Graph_Combos(ComboState,GraphSeries)
{
	// determines which combo box to build
	switch (GraphSeries)
	{
		case "A":
			var SelectGraphSeries = selectGraphA;
			labelGraphA.innerText = L_SettingsGraphA_ComboBox;
			break;
		
		case "B":
			var SelectGraphSeries = selectGraphB;
			labelGraphB.innerText = L_SettingsGraphB_ComboBox;
			break;
	}
	
	// Build the Combo box for the relevant State	
	switch (ComboState)
	{
		case "QLD":
			// Clear the combo box first
			var Graph = document.createElement("OPTION");
			SelectGraphSeries.options.length = 0;

		    // FNQ
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCairns3Days_Text;
		    Graph.value = URL_Cairns3Days;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeFlattery_Text;
		    Graph.value = URL_CapeFlattery;    
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCooktown_Text;
		    Graph.value = URL_Cooktown;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsLowIsles_Text;
		    Graph.value = URL_LowIsles;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCairns_Text;
		    Graph.value = URL_Cairns;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsArlingtonReef_Text;
		    Graph.value = URL_ArlingtonReef;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSouthJohnstone_Text;
		    Graph.value = URL_SouthJohnstone;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsTownsville3Days_Text;
		    Graph.value = URL_Townsville3Days;    
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsLucinda_Text;
		    Graph.value = URL_Lucinda;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsTownsville_Text;
		    Graph.value = URL_Townsville;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAlvaBeach_Text;
		    Graph.value = URL_AlvaBeach;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsFlindersReef_Text;
		    Graph.value = URL_FlindersReef;
		    
		    // Central QLD
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCentralCoast3Days_Text;
		    Graph.value = URL_CentralCoast3Days;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsHamiltonIsland_Text;
		    Graph.value = URL_HamiltonIsland;    
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsProserpine_Text;
		    Graph.value = URL_Proserpine;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMackay_Text;
		    Graph.value = URL_Mackay;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsHayPoint_Text;
		    Graph.value = URL_HayPoint;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsWilliamson_Text;
		    Graph.value = URL_Williamson;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsYeppoon_Text;
		    Graph.value = URL_Yeppoon;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsRundleIsland_Text;
		    Graph.value = URL_RundleIsland;    
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsHeronIsland_Text;
		    Graph.value = URL_HeronIsland;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGladstone_Text;
		    Graph.value = URL_Gladstone;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBundabergAirport_Text;
		    Graph.value = URL_BundabergAirport;
		
			// Sunshine Coast
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSunshineCoast3Days_Text;
		    Graph.value = URL_SunshineCoast3Days;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsHerveyBay_Text;
		    Graph.value = URL_HerveyBay;    
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsDoubleIsPt_Text;
		    Graph.value = URL_DoubleIsPt;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsTewantin_Text;
		    Graph.value = URL_Tewantin;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMaroochydore_Text;
		    Graph.value = URL_Maroochydore;
								
		    // Brisbane
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBNE3Days_Text;
		    Graph.value = URL_BNE3Days;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeMoreton_Text;
		    Graph.value = URL_CapeMoreton;    
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSpitfireChannel_Text;
		    Graph.value = URL_SpitfireChannel;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsRedcliffe_Text;
		    Graph.value = URL_Redcliffe;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsInnerBeacon_Text;
		    Graph.value = URL_InnerBeacon;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBrisbaneAirport_Text;
		    Graph.value = URL_BrisbaneAirport;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPeelIsland_Text;
		    Graph.value = URL_PeelIsland;
		    
		    // Gold Coast
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGoldCoast3Days_Text;
		    Graph.value = URL_GoldCoast3Days;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGoldCoastSeaway_Text;
		    Graph.value = URL_GoldCoastSeaway;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCoolangatta_Text;
		    Graph.value = URL_Coolangatta;
	    
		    break;    
    
		case "NSW":
			// Clear the combo box first
			var Graph = document.createElement("OPTION");
			SelectGraphSeries.options.length = 0;
			
			// NSW - North
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBallina3Days_Text;
		    Graph.value = URL_Ballina3Days;
		        
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeByron_Text;
		    Graph.value = URL_CapeByron;

		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBallina_Text;
		    Graph.value = URL_Ballina;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsEvansHead_Text;
		    Graph.value = URL_EvansHead;
		    
		    // NSW - Mid North
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsNewcastle3Days_Text;
		    Graph.value = URL_Newcastle3Days;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsNobbysHead_Text;
		    Graph.value = URL_NobbysHead;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsNorahHead_Text;
		    Graph.value = URL_NorahHead;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCoffsHarbour3Days_Text;
		    Graph.value = URL_CoffsHarbour3Days;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCoffsHarbour_Text;
		    Graph.value = URL_CoffsHarbour;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPortMacquarie_Text;
		    Graph.value = URL_PortMacquarie;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPortMacquarieAirport_Text;
		    Graph.value = URL_PortMacquarieAirport;
		   	
		    // NSW - Metro	    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSydney3Days_Text;
		    Graph.value = URL_Sydney3Days;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsNorthHead_Text;
		    Graph.value = URL_NorthHead;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSydneyHarbour_Text;
		    Graph.value = URL_SydneyHarbour;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsFortDenison_Text;
		    Graph.value = URL_FortDenison;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSydneyAirport_Text;
		    Graph.value = URL_SydneyAirport;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsLittleBay_Text;
		    Graph.value = URL_LittleBay;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsKurnell_Text;
		    Graph.value = URL_Kurnell;

		    // NSW - Illawarra		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPointPerpendicular3Days_Text;
		    Graph.value = URL_PointPerpendicular3Days;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBellambiPoint_Text;
		    Graph.value = URL_BellambiPoint;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsKiama_Text;
		    Graph.value = URL_Kiama;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGerroa_Text;
		    Graph.value = URL_Gerroa;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPointPerpendicular_Text;
		    Graph.value = URL_PointPerpendicular;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsUlladulla_Text;
		    Graph.value = URL_Ulladulla;
		   	
		    // NSW - South Coast	    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMoruya3Days_Text;
		    Graph.value = URL_Moruya3Days;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMoruyaAirport_Text;
		    Graph.value = URL_MoruyaAirport;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMontagueIsland_Text;
		    Graph.value = URL_MontagueIsland;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMerimbula3Days_Text;
		    Graph.value = URL_Merimbula3Days;
		   		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMerimbula_Text;
		    Graph.value = URL_Merimbula;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGreenCape_Text;
		    Graph.value = URL_GreenCape;
		    		   		    		    		    
		    break;
		    
		case "VIC":
			// Clear the combo box first
			var Graph = document.createElement("OPTION");
			SelectGraphSeries.options.length = 0;
			
			// VIC - East
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsLakesEntrance3Days_Text;
		    Graph.value = URL_LakesEntrance3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPoundCreek_Text;
		    Graph.value = URL_PoundCreek;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsWilsonsPromontory_Text;
		    Graph.value = URL_WilsonsPromontory;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsHoganIsland_Text;
		    Graph.value = URL_HoganIsland;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBairnsdale_Text;
		    Graph.value = URL_Bairnsdale;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMallacoota_Text;
		    Graph.value = URL_Mallacoota;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGaboIsland_Text;
		    Graph.value = URL_GaboIsland;
			
			// VIC - Metro
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMelbourne3Days_Text;
		    Graph.value = URL_Melbourne3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAvalon_Text;
		    Graph.value = URL_Avalon;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsFawknerBeacon_Text;
		    Graph.value = URL_FawknerBeacon;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsStKilda_Text;
		    Graph.value = URL_StKilda;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsFrankston_Text;
		    Graph.value = URL_Frankston;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPointWilson_Text;
		    Graph.value = URL_PointWilson;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAireysInlet_Text;
		    Graph.value = URL_AireysInlet;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSouthChannelIsland_Text;
		    Graph.value = URL_SouthChannelIsland;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCerberus_Text;
		    Graph.value = URL_Cerberus;
		    
		    // VIC - West		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPortland3Days_Text;
		    Graph.value = URL_GreenCape;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPortlandAirport_Text;
		    Graph.value = URL_Portland3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeNelson_Text;
		    Graph.value = URL_CapeNelson;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPortFairy_Text;
		    Graph.value = URL_PortFairy;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeOtway_Text;
		    Graph.value = URL_CapeOtway;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGeelongAirport_Text;
		    Graph.value = URL_GeelongAirport;
			
			break;
			
		case "SA":
			// Clear the combo box first
			var Graph = document.createElement("OPTION");
			SelectGraphSeries.options.length = 0;

			// SA - Metro
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAdelaide3Days_Text;
		    Graph.value = URL_Adelaide3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsEdinburghAirport_Text;
		    Graph.value = URL_EdinburghAirport;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsOuterHarbour_Text;
		    Graph.value = URL_OuterHarbour;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAdelaideAirport_Text;
		    Graph.value = URL_AdelaideAirport;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsNoarlunga_Text;
		    Graph.value = URL_Noarlunga;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSellicksHill_Text;
		    Graph.value = URL_SellicksHill;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsParawa_Text;
		    Graph.value = URL_Parawa;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsHindmarshIsland_Text;
		    Graph.value = URL_HindmarshIsland;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsEdithburgh_Text;
		    Graph.value = URL_Edithburgh;
		    			
			break;

		case "WA":
			// Clear the combo box first
			var Graph = document.createElement("OPTION");
			SelectGraphSeries.options.length = 0;

			// WA - Metro
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsPerth3Days_Text;
		    Graph.value = URL_Perth3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsOceanReef_Text;
		    Graph.value = URL_OceanReef;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSwanbourne_Text;
		    Graph.value = URL_Swanbourne;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsRottnestIsland_Text;
		    Graph.value = URL_RottnestIsland;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMelvilleWater_Text;
		    Graph.value = URL_MelvilleWater;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGardenIsland_Text;
		    Graph.value = URL_GardenIsland;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMandurah_Text;
		    Graph.value = URL_Mandurah;
			
			// WA - South
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBunbury3Days_Text;
		    Graph.value = URL_Bunbury3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBusseltonJetty_Text;
		    Graph.value = URL_BusseltonJetty;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBunbury_Text;
		    Graph.value = URL_Bunbury;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsMargaretRiver3Days_Text;
		    Graph.value = URL_MargaretRiver3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeNaturaliste_Text;
		    Graph.value = URL_CapeNaturaliste;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsWitchcliffe_Text;
		    Graph.value = URL_Witchcliffe;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCapeLeeuwin_Text;
		    Graph.value = URL_CapeLeeuwin;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsEsperance3Days_Text;
		    Graph.value = URL_Esperance3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsEsperance_Text;
		    Graph.value = URL_Esperance;
		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAlbany3Days_Text;
		    Graph.value = URL_Albany3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsAlbanyAirport_Text;
		    Graph.value = URL_AlbanyAirport;
		    		   		    		    		    
			// WA - Central
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGeraldtonAirport3Days_Text;
		    Graph.value = URL_GeraldtonAirport3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGeraldtonOffshore_Text;
		    Graph.value = URL_GeraldtonOffshore;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGeraldtonAirport_Text;
		    Graph.value = URL_GeraldtonAirport;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsLancelin3Days_Text;
		    Graph.value = URL_Lancelin3Days;
			
			// WA - North
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBroome3Days_Text;
		    Graph.value = URL_Broome3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsBroome_Text;
		    Graph.value = URL_Broome;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsExmouth3Days_Text;
		    Graph.value = URL_Exmouth3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGnaraloo3Days_Text;
		    Graph.value = URL_Gnaraloo3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsGnaraloo_Text;
		    Graph.value = URL_Gnaraloo;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSharkBay3Days_Text;
		    Graph.value = URL_SharkBay3Days;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsSharkBay_Text;
		    Graph.value = URL_SharkBay;
		    		   		    		    		    
		    var Graph = document.createElement("OPTION");
		    SelectGraphSeries.options.add(Graph);
		    Graph.innerText = L_SettingsCocosIsland_Text;
		    Graph.value = URL_CocosIsland;
		    			
			break;
	}

}
    
////////////////////////////////////////////////////////////////////////////////
//
// Save settings on close
//
////////////////////////////////////////////////////////////////////////////////
function SettingsClosing(event)
{
    if (event.closeAction == event.Action.commit) 
    { 
        var propGadgetSize;
        
        propGadgetSize = selectGadgetSize.value;
      
      System.Gadget.Settings.writeString("gadgetSize", propGadgetSize);
    }

    { 
        var propStateA;
        
        propStateA = selectStateA.value;
      
      System.Gadget.Settings.writeString("StateA", propStateA);
    }    
    
    { 
        var propStateB;
        
        propStateB = selectStateB.value;
      
      System.Gadget.Settings.writeString("StateB", propStateB);
    }    
        
    { 
        var propGraphA;
        
        propGraphA = selectGraphA.value;
      
      System.Gadget.Settings.writeString("GraphA", propGraphA);
    }
    
    { 
        var propGraphB;
        
        propGraphB = selectGraphB.value;
      
      System.Gadget.Settings.writeString("GraphB", propGraphB);
    }

    { 
        var propRotInt;
        
        propRotInt = selectRotationInterval.value;
      
      System.Gadget.Settings.write("RotationInterval", propRotInt);
    }
    
        
    event.cancel = false;
}

////////////////////////////////////////////////////////////////////////////////
//
// Debug: Write error messages to debug logging
//
////////////////////////////////////////////////////////////////////////////////
function handleErr(msg,url,l)
{
    System.Debug.outputString("Problem: " + msg + "\nLine: " + l);
    return true;
}

////////////////////////////////////////////////////////////////////////////////
//
// Debug: Send alerts to Debugger
//
////////////////////////////////////////////////////////////////////////////////
function alert(msg)
{
    System.Debug.outputString(msg);
    return true;
}
